跳转到主要内容
平台运维相关接口/平台联邦
GETPlatform起始版本 1.0同步需要认证

搜索资产

搜索联邦资产名称标签集群组。

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

查询参数

请求参数

路径参数

  • groupIdString必填

    组ID。

查询参数

  • qString

    查询条件。省略该字段将返回所有记录,返回记录数的上限受限于 `limit` 字段。

  • assetTypeString

    资产类型。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • assetsList

    资产匹配搜索查询列表。

    示例: (nested array)

    • clusterIdString

      集群唯一标识。

      示例: cluster-abc-001

    • clusterNameString

      人类可读名称集群。

      示例: prod-cluster-east

    • assetTypeString

      资产类型。

      示例: pod

    • nameString

      资源名称。

      示例: nginx-deployment-abc

    • namespaceString

      命名空间。

      示例: default

    • statusString

      状态信息。

      示例: Running

    • labelsLinkedHashMap

      标签列表。

      示例: (nested object)

    • cpuRequestString

      CPU请求。

      示例: 500m

    • memRequestString

      内存请求。

      示例: 256Mi

  • timeoutClustersList

    超时时间集群。

    示例: item1,item2

  • totalCountInteger

    总数量。

    示例: 42

请求地址

GET/api/v1/federation/cluster-groups/{groupId}/search

/api/v1/federation/cluster-groups/{groupId}/search

操作 ID

SearchAssets

永久链接

请求示例

curl -X GET '{host}/api/v1/federation/cluster-groups/{groupId}/search' -H 'Authorization: Bearer {token}'

响应示例

200
{
  "assets": [
    {}
  ],
  "timeoutClusters": [],
  "totalCount": 42
}

变更历史

此 API 暂无变更历史记录。

查看全部变更历史